Package org.opengis.cite.iso19142.querymgmt

# Class DropStoredQueryTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.querymgmt.DropStoredQueryTests

public class DropStoredQueryTests extends BaseFixture
Provides test methods that verify the deletion of stored queries.

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropStoredQueryTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dropNonexistentQuery()`
  [`Test`] Submits a `DropStoredQuery` request that identifies a nonexistent query.
  `void`
  `dropStoredQuery()`
  [`Test`] Submits a `DropStoredQuery` request to remove an existing stored query.
  `void`
  `initQueryFilterFixture(org.testng.ITestContext testContext)`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DropStoredQueryTests

    public DropStoredQueryTests()

- ## Method Details

  - ### initQueryFilterFixture

    @BeforeClass public void initQueryFilterFixture(org.testng.ITestContext testContext)

  - ### dropStoredQuery

    public void dropStoredQuery()
    [`Test`] Submits a `DropStoredQuery` request to remove an existing stored query. The response is expected to contain an XML entity with "DropStoredQueryResponse" as the document element. A subsequent attempt to invoke the query should fail with an exception report ("InvalidParameterValue").

  - ### dropNonexistentQuery

    public void dropNonexistentQuery()
    [`Test`] Submits a `DropStoredQuery` request that identifies a nonexistent query. An exception report is expected in response containing the error code "InvalidParameterValue".